[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'maps' (#lcl)

# TMapID

## Declaration

Source position: maps.pp line 57

`type TMapID = record`
`case TMapIdType of`
`itu1: (`
`U1: Byte;` |  |
`);`
`its1: (`
`S1: ShortInt;` |  |
`);`
`itu2: (`
`U2: Word;` |  |
`);`
`its2: (`
`S2: SmallInt;` |  |
`);`
`itu4: (`
`U4: LongWord;` |  |
`);`
`its4: (`
`S4: LongInt;` |  |
`);`
`itu8: (`
`U8: QWord;` |  |
`);`
`its8: (`
`S8: Int64;` |  |
`);`
`itu16: (`
`U16H: QWord;` |  |
`U16L: QWord;` |  |
`);`
`its16: (`
`S16H: Int64;` |  |
`S16L: QWord;` |  |
`);`
`itu32: (`
`U32HH: QWord;` |  |
`U32HL: QWord;` |  |
`U32LH: QWord;` |  |
`U32LL: QWord;` |  |
`);`
`its32: (`
`S32HH: Int64;` |  |
`S32HL: QWord;` |  |
`S32LH: QWord;` |  |
`S32LL: QWord;` |  |
`);`
`end;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .